# Generated by go2rpm
%bcond_without check

# https://github.com/aws/aws-sdk-go-v2
%global goipath         github.com/aws/aws-sdk-go-v2
Version:                20221007
%global tag             release-2022-10-07
%global distprefix      %{nil}

# Upstream does not provide releases so we need to use tags, however this
# causes all provides to be duplicated with an added (tag=...) and causes
# this package to exceed the size of provides supported in synthesis.
# Filtering them takes us down from 210k to 90k of provides strings.
%global __provides_exclude tag=%{tag}


%gometa

%global common_description %{expand:
aws-sdk-go-v2 is the Developer Preview for the v2 of the AWS SDK for the Go
programming language.}

%global golicenses      LICENSE.txt NOTICE.txt
%global godocs          example CHANGELOG.md CODE_OF_CONDUCT.md\\\
                        CONTRIBUTING.md DESIGN.md README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        AWS SDK for the Go programming language
Group:          Development/Other

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(github.com/aws/smithy-go)
BuildRequires:  golang(github.com/aws/smithy-go/document)
BuildRequires:  golang(github.com/aws/smithy-go/document/json)
BuildRequires:  golang(github.com/aws/smithy-go/encoding/httpbinding)
BuildRequires:  golang(github.com/aws/smithy-go/encoding/json)
BuildRequires:  golang(github.com/aws/smithy-go/encoding/xml)
BuildRequires:  golang(github.com/aws/smithy-go/io)
BuildRequires:  golang(github.com/aws/smithy-go/logging)
BuildRequires:  golang(github.com/aws/smithy-go/middleware)
BuildRequires:  golang(github.com/aws/smithy-go/ptr)
BuildRequires:  golang(github.com/aws/smithy-go/rand)
BuildRequires:  golang(github.com/aws/smithy-go/time)
BuildRequires:  golang(github.com/aws/smithy-go/transport/http)
BuildRequires:  golang(github.com/aws/smithy-go/waiter)
BuildRequires:  golang(github.com/jmespath/go-jmespath)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(golang.org/x/mod/module)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/corehandlers)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/awstesting/unit)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/dynamodb)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/lexruntimeservice)
BuildRequires:  golang(github.com/aws/smithy-go/testing)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
# Go 1.18 deprecated SHA1-RSA
export GODEBUG=x509sha1=1
# aws/external: needs network
%gocheck -t aws/external -d aws/retry -t internal/repotools/changes -d service/internal/benchmark/dynamodb
%endif

%gopkgfiles


%changelog
* Fri Dec 30 2022 pterjan <pterjan> 20221007-2.mga9
+ Revision: 1928135
- Using commit made things worse, filter generated provides instead
- Use commit instead of tag to prevent breaking synthesis with too many provides

* Thu Dec 29 2022 pterjan <pterjan> 20221007-1.mga9
+ Revision: 1927748
- Update to release-2022-10-07

* Thu Aug 25 2022 guillomovitch <guillomovitch> 1.8.0-3.mga9
+ Revision: 1880390
- fix tests

* Thu Mar 24 2022 umeabot <umeabot> 1.8.0-2.mga9
+ Revision: 1824542
- Mageia 9 Mass Rebuild

* Thu Nov 18 2021 guillomovitch <guillomovitch> 1.8.0-1.mga9
+ Revision: 1757807
- new version 1.8.0

* Thu Dec 31 2020 pterjan <pterjan> 0.24.0-1.mga8
+ Revision: 1666520
- Mageiaize
- imported package golang-github-aws-sdk-2

